Subject: bug#25918: [PATCH 1/3] gnu: Add libmesode.

From: Mekeor Melire <[email-masked]>
Date: Fri, 03 Mar 2017 01:52:03 +0100

Catonano <[email-masked]> writes:

> 2017-03-03 0:58 GMT+01:00 Mekeor Melire <[email-masked]>:
>
>> Ricardo Wurmus <[email-masked]> writes:
>
> Say you have edited gnu/packages/messaging.scm and you added "my-package"
> Then you would do
>
> ./pre-inst-env guix build my-package
> ./pre-inst-env guix lint my-package
>
> you can even install it
>
> ./pre-inst-env guix package -i my-package

Beautiful. Thank you.

>> > You can send them in separate emails.  Many of us use git send-email (in
>> > this case we would instruct “git send-email” to reply to this thread),
>> > which can be a little tricky to set up.
>>
>> (AFAICT, there is no `git-send-mail` package for Guix but I wouldn't use
>> it anyway.)
>
> It's not a standalone package, it's one of the outputs of the git package.

Well, I've got git installed but `git send-email` doesn't work:

  $ LANG=en_US git send-email
  git: 'send-email' is not a git command. See 'git --help'.

But in fact, I get an completion for `git send-email` in my shell, ZSH.
Maybe it doesn't work because I didn't configure it? I don't think so
because `git help send-email` doesn't work either, for me.

-- 
mekeor ~ EDD3 DFFA 76F6 11C0 145F 9A99 AC85 BAD8 A2F8 C868